Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » C/C++ Code Review Provider: unable to satisfy dependency
C/C++ Code Review Provider: unable to satisfy dependency [message #133748] Tue, 05 August 2008 14:33 Go to next message
Vasily Lukichev is currently offline Vasily LukichevFriend
Messages: 32
Registered: July 2009
Member
Hello,

I faced with next problem.
I want to use "C/C++ Code Review Provider" but in "Error Log" (Help->About
Eclipse SDK->Configuration Details->View Error Log) I have next output:

!ENTRY org.eclipse.equinox.p2.director 2 0 2008-08-05 18:18:04.467
!MESSAGE Problems resolving provisioning plan.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-08-05 18:18:04.467
!MESSAGE Unable to satisfy dependency from
org.eclipse.tptp.platform.analysis.codereview.cpp.rules
4.4.0.v200802290100 to requiredCapability:
osgi.bundle/org.eclipse.cdt.core/[4.0.0,5.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-08-05 18:18:04.467
!MESSAGE Unable to satisfy dependency from
org.eclipse.tptp.platform.statistical.report.birt.feature.gr oup
4.5.0.v200806050100-7B7D-9oA55S5L7H686A to requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.hyades.test.doc.user/[ 4.2.0,5.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-08-05 18:18:04.467
!MESSAGE Unable to satisfy dependency from
org.eclipse.tptp.platform.analysis.codereview.cpp.feature.gr oup
4.4.0.v200802291616-787708s733I377K3533 to requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.cdt.core/0.0.0.
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-08-05 18:18:04.467
!MESSAGE Unable to satisfy dependency from
org.eclipse.tptp.platform.analysis.codereview.cpp 4.4.1.v200802290100 to
requiredCapability: osgi.bundle/org.eclipse.cdt.core/[4.0.0,5.0.0).

My configuration is:
- eclipse-SDK-3.4-win32
- emf-sdo-xsd-SDK-2.4.0
- tptp.platform.sdk-TPTP-4.5.0
- org.eclipse.tptp.platform.analysis-TPTP-4.5.0
- org.eclipse.tptp.platform.analysis.codereview.cpp-TPTP-4.5.0


Could you please give me a piece of advise what kind a problem it could be
with org.eclipse.cdt.core/[4.0.0,5.0.0)?

Thanks in advance for your help!
Vasily.
Re: C/C++ Code Review Provider: unable to satisfy dependency [message #133925 is a reply to message #133748] Thu, 07 August 2008 13:49 Go to previous messageGo to next message
Vasily Lukichev is currently offline Vasily LukichevFriend
Messages: 32
Registered: July 2009
Member
I forgot to mention that CDT 5.0 are also installed.

Thanks in advance!
Re: C/C++ Code Review Provider: unable to satisfy dependency [message #134039 is a reply to message #133925] Thu, 07 August 2008 14:06 Go to previous messageGo to next message
Eugene Chan is currently offline Eugene ChanFriend
Messages: 287
Registered: July 2009
Senior Member
Hi Vasily,

The C++ Code Review does not compatible with CDT 5.0. Please see bug 243218
for more information.

Eugene


"Vasily Lukichev" <luckich@inbox.ru> wrote in message
news:928722708f328a316877ac0fb5e7b155$1@www.eclipse.org...
>I forgot to mention that CDT 5.0 are also installed.
>
> Thanks in advance!
>
Re: C/C++ Code Review Provider: unable to satisfy dependency [message #134047 is a reply to message #134039] Thu, 07 August 2008 14:18 Go to previous message
Vasily Lukichev is currently offline Vasily LukichevFriend
Messages: 32
Registered: July 2009
Member
Hi, Eugene,

Thank you for information!
Previous Topic:Deprecated Editors in org.eclipse.hyades.test.tools.ui
Next Topic:Problem importing profiling file
Goto Forum:
  


Current Time: Sat Dec 20 23:15:02 GMT 2014

Powered by FUDForum. Page generated in 0.02462 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software